Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.net
Class InetAddresses.TeredoInfo

    java.lang.Object
      com.google.common.net.InetAddresses.TeredoInfo

Enclosing class:
  InetAddresses

    @Beta
    public static final class InetAddresses.TeredoInfo

extends Object

A simple data class to encapsulate the information to be found in a Teredo address.

All of the fields in this class are encoded in various portions of the IPv6 address as part of the protocol. More protocols details can be found at: http://en.wikipedia.org/wiki/Teredo_tunneling.

The RFC can be found here: http://tools.ietf.org/html/rfc4380.

Since:
  5.0

Constructor Summary
`InetAddresses.TeredoInfo(Inet4Address server, Inet4Address client, int port, int flags)` Constructs a TeredoInfo instance.

Method Summary
`Inet4Address` | `getClient()`
`int` | `getFlags()`
`int` | `getPort()`
`Inet4Address` | `getServer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InetAddresses.TeredoInfo

    public InetAddresses.TeredoInfo(@Nullable
                                    Inet4Address server,
                                    @Nullable
                                    Inet4Address client,
                                    int port,
                                    int flags)

  Constructs a TeredoInfo instance.

  Both server and client can be `null`, in which case the value `"0.0.0.0"` will be assumed.

  Throws:
    `IllegalArgumentException` - if either of the `port` or the `flags` arguments are out of range of an unsigned short

Method Detail

### getServer

    public Inet4Address getServer()

### getClient

    public Inet4Address getClient()

### getPort

    public int getPort()

### getFlags

    public int getFlags()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.